/*
 * @Author: luzheng luzheng@nuanliukeji.com
 * @Date: 2023-05-03 04:28:50
 * @LastEditors: luzheng luzheng@nuanliukeji.com
 * @LastEditTime: 2023-08-22 16:59:14
 * @FilePath: \hel-tpl-remote-vue3-comps-ts-main\src\loadApp.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import { createApp } from 'vue'
import SvgIcon from '@/components/SvgIcon/index.vue'
import importAllSvgIcons from './components/SvgIcon'
import ElementPlus from 'element-plus'
import Antd from 'ant-design-vue'
import App from './App.vue'
import './style/index.scss'

const app = createApp(App)
app.component('svg-icon', SvgIcon)

importAllSvgIcons()
app.use(ElementPlus)
app.use(Antd)
app.mount('#app')
