/*
 * @Author: luzheng luzheng@nuanliukeji.com
 * @Date: 2023-05-03 04:28:50
 * @LastEditors: luzheng luzheng@nuanliukeji.com
 * @LastEditTime: 2023-08-10 17:21:10
 * @FilePath: \hel-tpl-remote-vue3-comps-ts-main\src\main.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import { isMasterApp } from 'hel-iso'
import { libReady } from 'hel-lib-proxy'
import { LIB_NAME } from './configs/subApp'
// import { preFetchLib } from 'hel-micro'
;(async function () {
  const libProperties = await import('./entrance/libProperties')
  // 注意此处传递的是 default
  libReady(LIB_NAME, libProperties.default)

  // 非子应用时（即不是被别的模块触发载入的情况），自己挂载渲染节点，方便本地调试
  // 可根据项目实际情况控制是否载入 loadApp 文件
  if (isMasterApp()) {
    await import('./loadApp')
  }
})().catch(console.error)
