(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('hel-lib-proxy')) :
	typeof define === 'function' && define.amd ? define(['exports', 'hel-lib-proxy'], factory) :
	(global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global["remote-vue3-comps-ts"] = {}, global.helLibProxy));
})(this, (function (exports, helLibProxy) { 'use strict';

	/*
	|--------------------------------------------------------------------------
	|
	| 对应 package.json/appGroupName
	|
	|--------------------------------------------------------------------------
	*/
	const LIB_NAME = 'remote-vue3-comps-ts';

	/*
	 * @Author: luzheng luzheng@nuanliukeji.com
	 * @Date: 2023-08-15 15:29:43
	 * @LastEditors: luzheng luzheng@nuanliukeji.com
	 * @LastEditTime: 2023-08-22 14:38:52
	 * @FilePath: \remote_comps\src\entrance\libTypes.ts
	 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
	 */
	/**
	 * 将提供给用户的lib暴露出去（同时也暴露了类型）
	 */
	const dtlib = helLibProxy.exposeLib(LIB_NAME);

	exports["default"] = dtlib;
	exports.dtlib = dtlib;

	Object.defineProperty(exports, '__esModule', { value: true });

}));
